コンテンツへスキップ

Ltx 2.3 Quality · Text to Audio

統合

モデルID ltx-2.3-quality/text-to-audio
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ltx-2.3-quality/text-to-audio?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエスト: ≈$0.682 682 APIクレジット このページで実行

APIキーを取得
Lightricks · 音声

最初の結果がここに表示されます

以下でリクエストを作成し、APIキーで実行してください。出力はストレージにコピーされ、永久保存または無料で7日保存されます。

リクエストを作成

コントロールはモデルスキーマから生成されます。値を変更するとコードと価格が更新されます。

•必須

生成する音声を説明するプロンプト。

デフォルト 121

LTX 動画フレーム数で指定する音声の長さ。`num_frames` を `frames_per_second` で割ると、おおよその長さを秒単位で求められます。

詳細設定 negative_prompt · frames_per_second · num_inference_steps · guidance_scale · seed · enable_prompt_expansion · enable_safety_checker
デフォルト pc game, console game...

生成で避ける内容を指定するネガティブプロンプト。

デフォルト 24

出力音声の長さを計算するためのフレームレート。

デフォルト 15

推論ステップの総数。

デフォルト 1

classifier-free guidanceの強度。

生成を再現可能にするシード。None に設定するとシードをランダムに選択します。

POST /run/ltx-2.3-quality/text-to-audio?wait=20 見積もり → $0.682
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/ltx-2.3-quality/text-to-audio?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

このリクエストを実行

キーはこのブラウザ内に保持されます。Doitong APIにのみ送信され、「記憶する」にチェックを入れた場合のみlocalStorageに保存されます。 APIキーを取得

Ltx 2.3 Quality · Text to Audioについて

テキストの`prompt`から音声クリップを作成します。長さはおよそ`num_frames`を`frames_per_second`で割った値で、`num_frames`は9~481、フレームレートは1~60です。`num_inference_steps`は8~30、`guidance_scale`は1~20です。`negative_prompt`と`seed`にも対応します。

パラメータ

名前型 デフォルト許可される値 説明
prompt必須
型string
生成する音声を説明するプロンプト。
num_frames任意
型integer
デフォルト121
9 – 481
LTX 動画フレーム数で指定する音声の長さ。`num_frames` を `frames_per_second` で割ると、おおよその長さを秒単位で求められます。
frames_per_second任意
型number
デフォルト24
1 – 60
出力音声の長さを計算するためのフレームレート。
num_inference_steps任意
型integer
デフォルト15
8 – 30
推論ステップの総数。
guidance_scale任意
型number
デフォルト1
1 – 20
classifier-free guidanceの強度。
negative_prompt任意
型string
デフォルトpc game, console game, video game, cartoon, childish, ugly
生成で避ける内容を指定するネガティブプロンプト。
seed任意
型integer | null
生成を再現可能にするシード。None に設定するとシードをランダムに選択します。
enable_prompt_expansion任意
型boolean
デフォルトfalse
プロンプト拡張を有効にするかどうかを制御します。
enable_safety_checker任意
型boolean
デフォルトtrue
安全性チェックを有効にするかどうかを制御します。
必須

出力

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "ltx-2.3-quality/text-to-audio",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 682,
    "usd": "0.682",
    "charged": 682,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "audio": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_name": "0-output.mp3",
      "file_size": 1843200
    },
    "seed": 42,
    "prompt": "string"
  },
  "outputs": [
    {
      "type": "audio",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp3",
      "content_type": "audio/mpeg",
      "file_size": 1843200,
      "duration": 12,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ファイルの保存期間を選択すべてのoutputs[].urlはストレージ上のコピーです。アカウント設定または?storage=により、永久保存(GB・月単位で有料)または無料で7日保存できます。
すべてのモデルで同じ形式画像、動画、音声のいずれでも、type、url、content_type、width、height、durationが含まれます。outputはモデル独自の結果オブジェクトです。
出力フィールド
audio
object {url, content_type, file_name, file_size}モデルが生成した音声。
seed
integer生成時に実際に適用されたシード。
prompt
string使用前に拡張された内容を含む生成プロンプト。

その他のモデル: 音声

AIエージェント向け:このページのMarkdown版はこちらです: https://doitong.com/ja/developers/models/ltx-2.3-quality/text-to-audio.md. すべてのモデルとガイド: https://doitong.com/developers/llms.txt